#31128 closed defect (fixed)

MR50: Upgrade cffi to 1.14.4

Reported by: galois Owned by:
Priority: critical Milestone: sage-9.3
Component: build Keywords:
Cc: Merged in:
Authors: Zachary Scherr Reviewers: Matthias Koeppe
Report Upstream: N/A Work issues:
Branch: f7d1ed5 (Commits, GitHub, GitLab) Commit: f7d1ed5660671a76a02476971b616afc2025c595
Dependencies: Stopgaps:

Status badges

Description (last modified by gh-zlscherr)

zlscherr (@zlscherr) opened a merge request at https://gitlab.com/sagemath/sage/-/merge_requests/50:


Currently, cffi 1.14.3 fails to build with homebrew python 3.9 on
Mac OSX Big Sur, see the comments in https://groups.google.com/g/sage-release/c/1rJF7CzEksY.
This error has been fixed in cffi 1.14.4. As per usual you can configure with

./configure --enable-download-from-upstream-url

to download from pypi.

Change History (3)

comment:1 Changed 20 months ago by gh-zlscherr

  • Component changed from PLEASE CHANGE to build
  • Description modified (diff)

comment:2 Changed 20 months ago by mkoeppe

  • Authors changed from zlscherr to Zachary Scherr
  • Priority changed from major to critical
  • Reviewers set to Matthias Koeppe
  • Status changed from needs_review to positive_review
  • Type changed from PLEASE CHANGE to defect

comment:3 Changed 20 months ago by vbraun

  • Branch changed from u/galois/mrs/50/upgrade_cffi_1.14.4 to f7d1ed5660671a76a02476971b616afc2025c595
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.